Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.ld.metadata
Interface EntityNode

All Superinterfaces:
  Node, java.io.Serializable

All Known Subinterfaces:
  EntityDS, Function, FunctionCollection, Schema, WebService, WebServicePolicy, XDS

    public interface EntityNode

extends Node

An entity node is a `metadata node` that may establish dependency relations with other metadata (entity) nodes. Such nodes are:

- `FunctionCollection` instances
- `Schema` instances
- `Function` instances
- `WebService` instances
- `WebServicePolicy` instances

Method Summary
`java.lang.String` | `getBody()`
`java.util.Collection` | `getDependencyRefs()`
`java.util.Collection` | `getDependencyRefs(ImpactAnalysisOptions options)`
`java.util.Collection` | `getDependentRefs()`
`java.util.Collection` | `getDependentRefs(ImpactAnalysisOptions options)`
`NodeRef` | `getNodeReference()`

Methods inherited from interface com.bea.ld.metadata.Node
`getId`

Method Detail

### getNodeReference

    NodeRef getNodeReference()

  Returns:
    the reference for this entity node.

### getBody

    java.lang.String getBody()

  Returns:
    The `EntityNode` contents.
  Throws:
    `java.lang.UnsupportedOperationException` - If called on a `Function` instance.

### getDependencyRefs

    java.util.Collection getDependencyRefs()
                                           throws com.bea.ld.MetadataException

  Returns:
    The set of `NodeRef`s referring to the entity nodes upon which this `EntityNode` depends directly. May be empty. Depending on the kind of entity node on which it is invoked, the results of this call are as follows:
    1. For `FunctionCollection` instances, the resulting collection includes the references to all function collections and all schemas upon which this function collection depends.
    2. For `Schema` instances, the resulting collection includes the references to all schemas upon which this schema depends.
    3. For `Function` instances, the resulting collection includes the references to all functions upon which this function depends and all schemas upon which the signature of this function depends.
  Throws:
    `com.bea.ld.MetadataException`
  Exclude:

### getDependencyRefs

    java.util.Collection getDependencyRefs(ImpactAnalysisOptions options)
                                           throws com.bea.ld.MetadataException

  Parameters:
    `options` - A set of flags providing settings used by dependency analysis.
  Returns:
    The set of `NodeRef`s referring to the entity nodes upon which this `EntityNode` depends directly. May be empty. Depending on the kind of entity node on which it is invoked, the results of this call are as follows:
    1. For `FunctionCollection` instances, the resulting collection includes the references to all function collections and all schemas upon which this function collection depends.
    2. For `Schema` instances, the resulting collection includes the references to all schemas upon which this schema depends.
    3. For `Function` instances, the resulting collection includes the references to all functions upon which this function depends and all schemas upon which the signature of this function depends.
  Throws:
    `com.bea.ld.MetadataException` - If the dependency analysis failed.
    `java.lang.IllegalArgumentException` - If `options` is `null`.
  Exclude:

### getDependentRefs

    java.util.Collection getDependentRefs()
                                          throws com.bea.ld.MetadataException

  Returns:
    The set of `NodeRef`s referring to the entity nodes that directly depend on this `EntityNode` May be empty. Depending on the kind of entity node on which it is invoked, the results of this call are as follows:
    1. For `FunctionCollection` instances, the resulting collection includes the references to all function collections that depend on this function collection.
    2. For `Schema` instances, this method is not supported.
    3. For `Function` instances, the resulting collection includes the references to all functions that depend on this function.
  Throws:
    `com.bea.ld.MetadataException`
  Exclude:

### getDependentRefs

    java.util.Collection getDependentRefs(ImpactAnalysisOptions options)
                                          throws com.bea.ld.MetadataException

  Parameters:
    `options` - A set of flags providing settings used by dependent analysis.
  Returns:
    The set of `NodeRef`s referring to the entity nodes that directly depend on this `EntityNode` May be empty. Depending on the kind of entity node on which it is invoked, the results of this call are as follows:
    1. For `FunctionCollection` instances, the resulting collection includes the references to all function collections that depend on this function collection.
    2. For `Schema` instances, this method is not supported.
    3. For `Function` instances, the resulting collection includes the references to all functions that depend on this function.
  Throws:
    `com.bea.ld.MetadataException` - If the dependency analysis failed.
    `java.lang.IllegalArgumentException` - If `options` is `null`.
  Exclude:

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 Oracle. All Rights Reserved.